Package org.openoffice.da.comp.w2lcommon.helper

# Class FilePicker

java.lang.Object
org.openoffice.da.comp.w2lcommon.helper.FilePicker

public class FilePicker extends Object

## Constructor Summary

Constructors
Constructor
Description
`FilePicker(com.sun.star.uno.XComponentContext xContext)`
Convenience wrapper class for the UNO file picker service

## Method Summary

Modifier and Type
Method
Description
`String`
`getPath()`
Get a user selected path with a file picker
`String[]`
`getPaths()`
Get one or more user selected paths with a file picker Warning: This does not work on all platforms when using native file pickers (but always when using Office file pickers)

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FilePicker

public FilePicker(com.sun.star.uno.XComponentContext xContext)
Convenience wrapper class for the UNO file picker service

Parameters:
  `xContext` - the UNO component context from which the file picker can be created

## Method Details

### getPaths

public String[] getPaths()
Get one or more user selected paths with a file picker Warning: This does not work on all platforms when using native file pickers (but always when using Office file pickers)

Returns:
  array containing the path URLs or null if the dialog is canceled

### getPath

public String getPath()
Get a user selected path with a file picker

Returns:
  the path URL or null if the dialog is canceled